﻿@model SportsClub.Models.Register.SubscriptionRegisterPriceViewModel

<div class="schedule full-width">

    @*id="@Model.ScheduleTitle.Replace(" ", "")"*@
    <div class="row-fluid content" style="display: block;">

        <div class="col-sm-7 tuitions no-charge">

            @if (Model.ScheduleTitle != null)
            {
                <h5 style="margin-top: 0;padding-left: 10px;">@Model.ScheduleTitle</h5>

                if (Model.Times != null)
                {
                    if (Model.Times.Count > 1)
                    {
                        foreach (var time in Model.Times)
                        {
                            <span class="bold" style="margin-top: 0;padding-left: 10px;">@time.Day: @time.MainTime</span>
                        }
                        <br />
                    }
                    else
                    {
                        foreach (var time in Model.Times)
                        {
                            <span class="bold" style="margin-top: 0;padding-left: 10px;">@time.MainTime</span>
                        }
                        <br />
                    }
                }
                else if (Model.ComboTime.Any())
                {
                    foreach (var time in Model.ComboTime)
                    {
                        <span class="bold" style="margin-top: 0;padding-left: 10px;">@time</span>
                    }

                }

                if (!string.IsNullOrEmpty(Model.MinGrade) && !string.IsNullOrEmpty(Model.MaxGrade))
                {
                    if (Model.EqualMaxAndMinGrade)
                    {
                        <span class="bold" style="margin-top: 0;padding-left: 10px;">Grade: @Model.MinGrade</span>
                    }
                    else
                    {
                        <span class="bold" style="margin-top: 0;padding-left: 10px;">Grade: @Model.MinGrade - @Model.MaxGrade</span>
                    }

                }
                else if (!string.IsNullOrEmpty(Model.MinGrade) && string.IsNullOrEmpty(Model.MaxGrade))
                {
                    <span class="bold" style="margin-top: 0;padding-left: 10px;">Grade: @Model.MinGrade</span>
                }
                else if (string.IsNullOrEmpty(Model.MinGrade) && !string.IsNullOrEmpty(Model.MaxGrade))
                {
                    <span class="bold" style="margin-top: 0;padding-left: 10px;">Grade: @Model.MaxGrade</span>
                }
            }
            else
            {
                <h5 style="margin-top: 0;padding-left: 10px;">Select your tuition option </h5>
            }
            <div>
                @{
                    var chargeIndex = 0;
                }
                @foreach (var item in Model.Prices)
                {
                    <div class="tuition active current" id="tuition-@Model.ScheduleId-@item.Id">

                        <label>
                            <span class="check tuition-select jbi-checked-box">
                                <input type="checkbox" class="entryFeeCheckBox" name="chargeEntryFee" value="@item.Id" data-chargeid="@item.Id" data-parent-charge="@item.Id" data-scheduleid="@Model.ScheduleId" data-scheduleMode="@Model.ScheduleMode" data-schedule-title="" data-category="EntryFee" data-subcategory="charge" data-amount="@item.Amount" data-mandatory="False" data-name="@item.Label" data-programDays="@item.NumberOfClassDays">
                            </span>
                            <span class="title ellipsis tuition-label" title="@item.Label">@item.Label</span>

                            <input data-val="true" data-val-number="The field ChangedPrice must be a number." id="changedTutionPrice-@item.Id" name="ProgramSchedules[0].Charges[@chargeIndex].ChangedPrice" type="hidden" value="@item.Id">

                            <input id="ischangedTutionPrice-@item.Id" name="ProgramSchedules[0].Charges[@chargeIndex].IsPriceChanged" type="hidden" value="False">

                            @if (!Model.EnablePriceHidden)
    {
                        <span class="price" id="lbl_price_@item.Id" style="padding-left:20px">
                            <span class="amount" id="lbl_price_amount_@item.Id">
                                @Html.FormatCurrencyWithPenny(item.Amount)
                            </span>
                        </span>
}


                        </label>

                        <ul class="charge-bar full-width">

                            @foreach (var charge in Model.Charges)
                            {
                                <li data-mandatory="true" class="last-item" title="This is a mandatory charge.">
                                    <span class="title mandatory-charge" data-chargeid="@charge.Id" data-parent-charge="@item.Id"  data-scheduleid="@Model.ScheduleId" data-schedule-title="" data-category="@charge.Category" data-subcategory="charge" data-amount="@charge.Amount" data-mandatory="True" data-name="@charge.Label">
                                        @charge.Label (@Html.FormatCurrencyWithPenny(charge.Amount))
                                    </span>
                                </li>
                            }

                        </ul>

                        <div class="clearfix"></div>
                    </div>

                    chargeIndex++;
                }
            </div>
        </div>

        <div class="clearfix"></div>
    </div>
</div>


